
#include "msp430.h"
#include <stdint.h>
#include "TI_MSPBoot_Mgr_Vectors.h"


int main()
{

    WDTCTL = WDT_ADLY_1000;   //Every 1 second watchdog gets invoked
    SFRIE1 |= WDTIE;

    // Toggle LED1 in P1.0
    P1DIR |= BIT0;
    P1OUT |= BIT0;
    PM5CTL0 &= ~LOCKLPM5;
    __delay_cycles(500000);
    P1OUT &= ~BIT0;
    __delay_cycles(500000);
    P1OUT |= BIT0;
    __delay_cycles(500000);
    P1OUT &= ~BIT0;

    P4DIR |= BIT7;



    // Start P2.3 (S2 button) as interrupt with pull-up
        P2DIR &= ~BIT3;
        P2REN |= BIT3;
        P2IES |= BIT3;
        P2IFG &= ~BIT3;
        P2IE |= BIT3;

        __bis_SR_register(GIE);

        while(1)
        {
            __no_operation();
        }

 // return 0;
}

#pragma vector = WDT_VECTOR
__interrupt void WDT_ISR(void)
{
    P4OUT ^= BIT7;
}


#pragma vector = PORT2_VECTOR
__interrupt void Port2_Isr(void)
{
    P2IFG = 0;
    TI_MSPBoot_JumpToBoot();
}

